> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/actions/curveusd/curveusdadjust.md).

# CurveUsdAdjust

### Description

Action that supplies collateral to a curveusd position and borrows more crvUSD

### Action ID

`0xb7bc5093`

### SDK Action

```ts
const curveUsdAdjustAction = new dfs.actions.curveusd.CurveUsdAdjustAction(
    controllerAddress,
    from,
    to,
    supplyAmount,
    borrowAmount
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param controllerAddress Address of the curveusd market controller
    /// @param from Address from which to pull collateral asset, will default to user's wallet
    /// @param to Address which will receive borrowed crvUSD
    /// @param supplyAmount Amount of collateral asset to supply (uint.max supported)
    /// @param borrowAmount Amount of debt asset to borrow (uint.max not supported)
    struct Params {
        address controllerAddress;
        address from;
        address to;
        uint256 supplyAmount;
        uint256 borrowAmount;
    }
```

### Return Value

```solidity
return bytes32(borrowedAmount);
```

### Events and Logs

```solidity
emit ActionEvent("CurveUsdAdjust", logData);
logger.logActionDirectEvent("CurveUsdAdjust", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defisaver.com/actions/curveusd/curveusdadjust.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
